toolzerhub API Docs

Get profile

Get an account's public profile: name, bio, location, follower and post counts, verification, and pinned post IDs. An unknown handle returns data: null.

1 credit / requestBilled only on success
GET
/v1/x/profile

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

handle*string

Account handle with or without @, or an x.com or twitter.com profile URL.

Lengthlength <= 300
curl -X GET "https://example.com/v1/x/profile?handle=NASA" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "11348282",    "handle": "NASA",    "name": "NASA",    "description": "Making the seemingly impossible, possible. ✨",    "location": "Pale Blue Dot",    "website": "http://www.nasa.gov/",    "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg",    "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290",    "followers_count": 92324082,    "following_count": 115,    "posts_count": 74434,    "media_count": 28199,    "likes_count": 17030,    "is_verified": false,    "is_blue_verified": true,    "verified_type": "Government",    "protected": false,    "created_at": "2007-12-19T20:20:32.000Z",    "pinned_post_ids": [],    "is_automated": false  }}